> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/additional-integrations/human-resource-management/hibob.md).

# HiBob

Create an integration to manage access for your HiBob users

HiBob is a Human Resources (HR) platform designed to streamline and optimize HR processes. This platform contains employee information and associated attributes.

By integrating with Apono, you can sync your HiBob users with Apono and create access flows based on attributes defined in the HiBob platform.

***

### Prerequisites

<table><thead><tr><th width="182">Item</th><th>Description</th></tr></thead><tbody><tr><td><strong>HiBob Account Access</strong></td><td>HiBob account with admin privileges</td></tr><tr><td><strong>HiBob Service Account ID &#x26; Token</strong></td><td><p>HiBob <a href="https://apidocs.hibob.com/docs/api-service-users">service account</a></p><p>You will input these values in the <strong>Secret Store</strong> section of the Apono UI.</p><p><strong>Be sure the service account has access permissions to all required fields.</strong></p></td></tr><tr><td><strong>Additional HiBob Fields</strong></td><td><p>(Optional) HiBob field values used by Apono as custom attributes to define access flows</p><p>Follow these steps to obtain the attribute values:</p><ol><li><a href="https://apidocs.hibob.com/reference/get_company-people-fields">Retrieve the list</a> of all your company fields.</li><li>Copy the <code>id</code> value for each field to use in the Apono UI.<br><br><strong>NOTE</strong>: Apono automatically includes the <strong>Site</strong>, <strong>Department</strong>, and <strong>Is A Manager</strong> attributes.</li></ol><p><strong>Example:</strong></p><p>The HiBob API returns the following list.</p><p>To add <strong>Start date</strong> to the Apono UI as a custom attribute, copy the <code>id</code> value, <code>work.startDate</code>.</p></td></tr></tbody></table>

***

### Integrate HiBob

Follow these steps to complete the integration:

1. On the [**Catalog**](https://app.apono.io/catalog?search=okta-scim-idp) tab, click **HiBob**. The **Add Integration** page appears.
2. Enter an **Integration Name**. This is a unique, alphanumeric, user-friendly name used to identify the integration when constructing an access flow.
3. Enter the **Domain** of your HiBob organization.
4. (Optional) In the **Custom Attributes** field, enter the API ID value of the HiBob field in a comma-delimited list, such as *root.email, work.startDate*.

{% hint style="info" %}
Apono automatically adds the **Site**, **Department**, and **Is A Manager** attributes.
{% endhint %}

5. Under **Secret Store**, enter the **Service User ID** and **Service User Token**.
6. Click **Connect**.

\
Now that you have completed this integration, you can create [access flows](https://docs.apono.io/docs/access-flows/access-flows) that grant your HiBob users access to your resources.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apono.io/docs/additional-integrations/human-resource-management/hibob.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
